"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EngineQuery = void 0;
const sdk_1 = require("@searchkit/sdk");
const EngineQuery = () => new sdk_1.CustomQuery({
    queryFn: (query) => {
        return {
            bool: {
                must: [
                    {
                        query_string: {
                            query: query
                        }
                    }
                ]
            }
        };
    }
});
exports.EngineQuery = EngineQuery;
