import type { QueryConfig, RequestState, ResponseState, AutocompleteResponseState, APIConnector, AutocompleteQueryConfig } from "@elastic/search-ui";
import { ConnectionOptions, Transporter } from "./types";
export * from "./types";
declare class EngineConnector implements APIConnector {
    private config;
    private transporter;
    constructor(config: ConnectionOptions | Transporter);
    onResultClick(): void;
    onAutocompleteResultClick(): void;
    onSearch(state: RequestState, queryConfig: QueryConfig): Promise<ResponseState>;
    onAutocomplete(state: RequestState, queryConfig: AutocompleteQueryConfig): Promise<AutocompleteResponseState>;
}
export default EngineConnector;
